错误: – 在android studio中的任务“:app:dexDebug”的执行失败

我最近的Android项目启动了一个新的默认项目。 每次我尝试启动应用程序时,都会发生此错误:

build.gradle(模块:APP)

apply plugin: 'com.android.application' android { compileSdkVersion 21 buildToolsVersion "21.1.2" defaultConfig { applicationId "com.example.jdevani.validationdemo" minSdkVersion 8 targetSdkVersion 21 versionCode 1 versionName "1.0" } buildTypes { release { minifyEnabled false proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro' } } } dependencies { compile fileTree(dir: 'libs', include: ['*.jar']) compile 'com.android.support:appcompat-v7:21.0.3' } 

的build.gradle(项目:EmerGencyHelp)

 // Top-level build file where you can add configuration options common to all sub-projects/modules. buildscript { repositories { jcenter() } dependencies { classpath 'com.android.tools.build:gradle:1.1.0' // NOTE: Do not place your application dependencies here; they belong // in the individual module build.gradle files } } allprojects { repositories { jcenter() } } 

我的错误是

 Information:Gradle tasks [:app:assembleDebug] :app:preBuild UP-TO-DATE :app:preDebugBuild UP-TO-DATE :app:compileDebugNdk UP-TO-DATE :app:checkDebugManifest :app:preReleaseBuild UP-TO-DATE :app:prepareComAndroidSupportAppcompatV72103Library UP-TO-DATE :app:prepareComAndroidSupportSupportV42103Library UP-TO-DATE :app:prepareDebugDependencies :app:compileDebugAidl UP-TO-DATE :app:compileDebugRenderscript UP-TO-DATE :app:generateDebugBuildConfig UP-TO-DATE :app:generateDebugAssets UP-TO-DATE :app:mergeDebugAssets UP-TO-DATE :app:generateDebugResValues UP-TO-DATE :app:generateDebugResources UP-TO-DATE :app:mergeDebugResources UP-TO-DATE :app:processDebugManifest UP-TO-DATE :app:processDebugResources UP-TO-DATE :app:generateDebugSources UP-TO-DATE :app:compileDebugJava Note: C:\Users\vfinava\Desktop\Project\EmerGencyHelp\app\src\main\java\com\example\vfinava\emergencyhelp\DataHelper.java uses unchecked or unsafe operations. Note: Recompile with -Xlint:unchecked for details. :app:preDexDebug :app:dexDebug UNEXPECTED TOP-LEVEL EXCEPTION: com.android.dex.DexException: Multiple dex files define Landroid/support/v4/accessibilityservice/AccessibilityServiceInfoCompatIcs; at com.android.dx.merge.DexMerger.readSortableTypes(DexMerger.java:596) at com.android.dx.merge.DexMerger.getSortedTypes(DexMerger.java:554) at com.android.dx.merge.DexMerger.mergeClassDefs(DexMerger.java:535) at com.android.dx.merge.DexMerger.mergeDexes(DexMerger.java:171) at com.android.dx.merge.DexMerger.merge(DexMerger.java:189) at com.android.dx.command.dexer.Main.mergeLibraryDexBuffers(Main.java:454) at com.android.dx.command.dexer.Main.runMonoDex(Main.java:303) at com.android.dx.command.dexer.Main.run(Main.java:246) at com.android.dx.command.dexer.Main.main(Main.java:215) at com.android.dx.command.Main.main(Main.java:106) Error:Execution failed for task ':app:dexDebug'. > com.android.ide.common.process.ProcessException: org.gradle.process.internal.ExecException: Process 'command 'C:\Program Files\Java\jdk1.8.0_20\bin\java.exe'' finished with non-zero exit value 2 Information:BUILD FAILED Information:Total time: 5.684 secs Information:1 error Information:0 warnings Information:See complete output in console 

请帮助我在此先感谢,

Solutions Collecting From Web of "错误: – 在android studio中的任务“:app:dexDebug”的执行失败"

可能你没有正确地在你的项目中添加suport-v4库。
检查这个:

  1. 您已经将此库添加到所有需要它的模块(如果您的项目中包含比主模块和库模块更多的模块)。
  2. 检查你不添加这个库两次。

最后,如果这不能解决你的问题,尝试从你导入的库列表和你的项目模块依赖列表中删除这个库,并将其从一个源重新添加到你的项目,然后尝试重build项目或重新启动IDE。
我希望这种方式可以帮助你:)

当您使用不同版本的相同库时会发生这种问题。

从你的libs文件夹中移除supportv4.jar并在build.gradle文件中添加这一行:

 compile 'com.android.support:support-v4:21.0.3' 

日志跟踪说: Multiple dex files define Landroid/support/v4/accessibilityservice/AccessibilityServiceInfoCompatIcs; 。 这是由一些caching引起的。 没有任何错误的代码。 你只需要rebuild Projectclean Project ,那么一切都会好的。

这个问题不是因为JDK 1.8或1.7,而是由于依赖关系。 请检查您的Gradle依赖关系。

我遇到类似的问题,在我的情况下,问题是由于Facebook的依赖

依赖关系{… … … … … / /评论以下一个编译'com.facebook.android:facebook-android-sdk:4.0.0'}注释上述行后,一切正常